Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.
Comment: minor formatting changes

Table of Contents
maxLevel5
minLevel2

Overview

When running into issues with the Appcelerator CLI, there are some simple steps to figure out additional information.

...

Another useful piece of information is which version of Node you are running and which versions of the Appc CLI you are using. Here are some useful commands to get the Appc CLI versions:

Code Block
linenumberstrue
languagebash
npm ls -g appcelerator # shows you the version of Appc CLI from NPM that is currently installed
$ npm ls -g appcelerator
/usr/local/lib
└── appcelerator@4.2.12 
 
appc use # shows you the version of Appc CLI from Registry that is currently selected and installed
$ appc use
The following versions are available:

6.2.4    Not Installed                     
6.3.0    Not Installed                               
7.0.0    Installed                                
7.0.1    Installed                            
7.0.2    Installed (Active)                   

Errors

Please

...

re-try this install again

This error manifests items in several different ways, such as:

...